<!DOCTYPE html>
<html>
<head>

	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h2>HTML Entitties</h2>
	</header>

	<main>
		<section>
			<p><em>Reserve characters in HTML (e.g &lt; or &gt;) that can mix up with HTML</em></p>

			<table border="1">
				<!-- border attrib defines the thickness of the border -->
				<!-- This for the header of the table -->
				<thead>
					<!-- tr tag defines a table row -->
					<tr>
						<!-- th tag defines a table header element -->
						<th colspan="2">Entity</th>
						<!-- colspan attrib changes the amount of columns a table element will occupy -->
						<th rowspan="2">Description</th>
						<!-- rowspan attrib changes the amount of rows a table element will occupy -->
					</tr>
					<tr>
						<th>Symbol</th>
						<th>Name/Number</th>
					</tr>
				</thead>
					<tbody>
						<!-- This is for the body of the table -->
						<!-- this is the first row -->
						<tr>
							<!-- This is the first column -->
							<td>&lt;</td>
							<!-- this is the second column -->
							<td>lt</td>
							<!-- This is the third column -->
							<td>less than</td>
						</tr>

						<!-- This is the second row -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>
						<!-- This is the third row -->
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>
						<!-- This is the fourth row -->
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>
						<!-- This is the fifth row -->
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>
						<!-- This is the sixth row -->
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark(apostrophe)</td>
						</tr>
						<!-- This is the seventh row -->
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>
						<!-- This is the 8th row -->
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>

					</tbody>
				<tfoot>
					<!-- This is for the footer of the table -->
						<tr>
							<th colspan="3">List of HTML entities</th>
						</tr>
				</tfoot>
			</table>
		</section>

		<!-- This section is for for HTML Form -->
		<section>
			<h2>HTML Form</h2>

			<p><em>Input elements that make up a form.</em></p>

			<form>
				<!-- label tag creates a text element that serve as the label input field -->
				<!-- for attrib is used with the id attrib in an input element. This allows the users to click the label -->
				<label for="fullname">Full Name:</label ><br>
					<input type="text" name="fullname" id="fullname" required> <br>
					<!-- type attrib will define what type of information the input field -->

				<label for="birthdate">Birth Date</label><br>
					<input type="date" name="birthdate" id="birthdate" required/> <br>

				<label for="age">Age:</label><br>
					<input type="number" name="age" id="age" required/><br>

				<!-- dropdown -->
				<label>Gender:</label><br>
					<select name="gender">
						<option value="male">Male</option>
						<option value="female">Female</option>
					</select><br>

				<!-- text area -->
				<label for="notes">Notes:</label><br>
					<textarea name="notes" rows="5" cols="15" id="notes"></textarea><br>

				<!-- radio button -->
				<label>New User:</label><br>
					<input type="radio" name="new_user" value="yes" id="yes">
						<label for="yes">Yes</label><br>
					<input type="radio" name="new_user" value="no" id="no">
						<label for="no">No</label><br>

				<label>Role:</label><br>
					<input type="checkbox" name="role1" id="role1">
						<label for="role1">Developer</label><br>
					<input type="checkbox" name="role2" id="role2">
						<label for="role2">Student</label><br>
					<input type="checkbox" name="role3" id="role3">
						<label for="role3">Manager</label><br><br>

				<button>Submit</button><br><br>

				<button type="reset">Reset</button><br><br>
			</form>
		</section>

	</main>
</body>
</html>